Bug 885281 - Swift integration Gluster_DiskFIle.unlink() performs directory listing before deleting file ... scalable?
Swift integration Gluster_DiskFIle.unlink() performs directory listing before...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
3.3.0
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Junaid
:
Depends On:
Blocks: 902202 903396 978061
  Show dependency treegraph
 
Reported: 2012-12-08 01:05 EST by Peter Portante
Modified: 2013-08-06 18:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 902202 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:12:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Portante 2012-12-08 01:05:25 EST
Deleting an object (file or directory) results in a full listing of the Gluster volume parent directory before a delete is attempted.

When there are thousands of files present, this might not scale too well.
Comment 1 Vijay Bellur 2012-12-17 09:12:36 EST
CHANGE: http://review.gluster.org/4302 (object-storage: do not list directory for delete) merged in master by Vijay Bellur (vbellur@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.